/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2012 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

DECLARE

BEGIN

  --
  -- Register Submit Draft Timecard Log Entries
  --
  xxas_com_sr_pkg.seed_update_service
    (p_service_name      => 'SubmitDraftTimecardLogEntries'
    ,p_securing_function => 'XXAS_SRV_U_DRAFT_TC_E_PERM'
    ,p_plsql_procedure   => 'xxas_tcm_log_entry_pkg.submit_for_approval'
    ,p_parameters        => xxas_com_sr_param_varray
                              (xxas_com_sr_param_type('pPersonId', xxas_com_sr_pkg.g_NUMBER)
                              ,xxas_com_sr_param_type('pPeriodId', xxas_com_sr_pkg.g_NUMBER)));

END;
/
COMMIT;
EXIT;
